      subroutine dwsrc(ea,rs,ips,p,nd,r,v)
c
c     Source having down-going ray
c       Coded by T. Shibutani
c       Ver. 1996-11-20
c
      parameter (ndmax=6400)
c
      implicit real*8 (a-h,o-z)
      dimension r(ndmax),v(ndmax,2)
c
c---  parameters
c
      pi=3.141592654
      rad=pi/180.0
c
c---  source layer
c
      nu=1
      call uplyr(rs,js,nu,nd,r)
c
c---  p-parameter(s/rad)
c
      b=dlog(v(js,ips)/v(js+1,ips))/dlog(r(js)/r(js+1))
      a=v(js,ips)/r(js)**b
      vs=a*rs**b
c      write(6,*) 'b,a,vs=',b,a,vs
      p=rs*dsin(ea*rad)/vs
c
      return
      end
