      subroutine dwray(del,tt,p,r1,r2,ips,nd,r,v,eee,nerr)
c
c     Travel time for down-going ray
c       Coded by T. Shibutani
c       Ver. 1996-11-21
c
      parameter (ndmax=6400)
c
      implicit real*8 (a-h,o-z)
      dimension r(ndmax),v(ndmax,2)
c
c---  parameters
c
      pi=3.141592654
      deg=180.0/pi
      nerr=0
c
c---  layer of r1
c
      nu=1
      call uplyr(r1,j1,nu,nd,r)
c
c---  layer of r2
c
      call dwlyr(r2,j2,nu,nd,r)
c
c---  path integral
c
      itn=0
      call integ(p,delt,ttim,j2,j1,r2,r1,ips,itn,nd,r,v,eee,nerr)
      if (nerr.ne.0) return
c
c---  delta
c
c      write(6,*) 'del=',delt*deg
      del=del+delt*deg
c
c---  travel time
c
c      write(6,*) 'tt=',ttim
      tt=tt+ttim
c
      return
      end

